using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FakeBank_DAL.Reposity
{
    public interface IGenericReposity<T> where T : class
    {
        // contrat CRUD
        bool Create(T c);   // C du CRUD
        T FindById(int id); // R (Retrieve/Find/Get) du CRUD
        List<T> FindAll(); // Un autre R
        bool Update(T c);  // un U du CRUD
        bool Delete(T d); // un D du CRUD
    }
}
